import javax.swing.*;

/**
 * <b>Programm:</b> WaveGradient<br>
 * <b>Copyright:</b> 2002 Andreas Gohr, Frank Schubert, Milan Altenburg<br>
 * <b>License:</b> GPL2 or higher<br>
 * <br>
 * <b>Info:</b> This JSlider uses floats for its values
 */
public class FloatJSlider extends JSlider{
  
  /**
   * Constructor - initializes with 0.0,100.0,50.0
   */
  public FloatJSlider(){
    super();
    setFloatMinimum(0.0f);
    setFloatMaximum(100.0f);
    setFloatValue(50.0f);
  }
  
  /**
   * Constructor
   */
  public FloatJSlider(float min, float max, float val){
    super();
    setFloatMinimum(min);
    setFloatMaximum(max);
    setFloatValue(val);
  }
  
  /**
   * returns Maximum in float precision
   */
  public float getFloatMaximum() {
    return( getMaximum()/100.0f );
  }

  /**
   * returns Minimum in float precision
   */
  public float getFloatMinimum() {
    return( getMinimum()/100.0f );
  }

  /**
   * returns Value in float precision
   */
  public float getFloatValue() {
    return( getValue()/100.0f );
  }
  
  /**
   * sets Maximum in float precision
   */
  public void setFloatMaximum(float max) {
    setMaximum((int)(max*100));
  }
  
  /**
   * sets Minimum in float precision
   */
  public void setFloatMinimum(float min) {
    setMinimum((int)(min*100));
  }
  
  /**
   * sets Value in float precision
   */
  public void setFloatValue(float val) {
    setValue((int)(val*100));
    setToolTipText(Float.toString(val));
  }

}
