import java.util.*;

/**
 * <b>Programm:</b> WaveThread<br>
 * <b>Copyright:</b> 2002 Andreas Gohr, Frank Schubert, Milan Altenburg<br>
 * <b>License:</b> GPL2 or higher<br>
 * <br>
 * <b>Info:</b> thread that calls repaint if queue has elements
 */
public class PullThread extends Thread{
  Painting _p = null;
  CalcThread _cl = null;
  int _width;
  int _height;
  
  /**
   * Constructor (starts Thread)
   */
  public PullThread(Painting p,CalcThread cl) {
    _p = p;
    _cl = cl;
    this.start();
  }
  
  /**
   * "main" of PullThread
   * calls repaint of Painting if queue has elements
   */
  public void run() {
    while(true) {
      // wait for calcthread
      synchronized(_cl) {
        while(_cl.getQueueSize() < 1) {
          try{
            _cl.wait(); // notified by CalcThread
          }catch(InterruptedException e) { }
        }
      }
      // otherwise repaint!
      _p.repaint();
    }
  }
}
