import java.util.*;
import java.awt.*;

/**
 * <b>Programm:</b> WaveThread<br>
 * <b>Copyright:</b> 2002 Andreas Gohr, Frank Schubert, Milan Altenburg<br>
 * <b>License:</b> GPL2 or higher<br>
 * <br>
 * <b>Info:</b> Class WaveThreadMain, holds CalcThread and Painting
 */ 
 public class WaveThreadMain extends ManagedPanel {
   MonoWave _mw = null;
   Painting _p  = null;
   PullThread _pt=null;
   CalcThread _calcthread = null;
   
   /**
    * Constructor
    */
   public WaveThreadMain() {
     _mw = new MonoWave((float)20.0,(float)10,(float)2.0);
          
     /* CalcThread with Data, no extra RasterFifo! */
     /* calcthread is started when method setXY invoked */
     _calcthread = new CalcThread(_mw,Color.blue);
     
     /* in Painting calcthread.start() is invoked */
     _p = new Painting(_mw, _calcthread);
     
     _pt = new PullThread(_p, _calcthread);
     
     this.addComponent(_p,1,1,1,1,2,1);
   }
     
 }
                   
